Installation Media - Bug #2330
Bug # 2108 (confirmed): ISO fails to boot with libreboot

[systemd-complete-iso] can not boot EFI
2019-06-05 02:25 PM - Anonymous

Status: info needed % Done: 0%
Priority: broken

Assignee:

Category: systemd

Description

| have tried to switch from BIOS to EFI, but it didn't work.
ISO boots in BIOS mode, so efivar -| says:

“efivar: error listing variables: Function not implemented’
EFI boot works on other distributions.

History

#1 - 2019-06-05 03:39 PM - bill-auger

- Priority changed from bug to broken

- Status changed from open to info needed

- Project changed from Packages to Installation Media

- Tracker changed from Feature Request to Bug

are you using coreboot or libreboot?
if so, there are some suggestions in issue #2108

#2 - 2019-06-26 03:16 PM - Anonymous
No, proprietary BIOS/EFI :(

#3 - 2019-06-27 02:31 AM - bill-auger

ok - which ISO are you referring to - the differences can be quite important

#4 - 2019-07-15 10:42 AM - Anonymous

systemd complete 1ISO

#5 - 2019-07-15 11:05 AM - bill-auger

- Subject changed from EFI boot to [systemd-complete-iso] can not boot EFI

#6 - 2019-07-15 08:52 PM - Anonymous
*only LXDE checked, not sure about CLI

#7 - 2019-07-15 09:00 PM - bill-auger

this is likely related to issue #2108 - it only seems to affect certain computers - have you tried any of the openrc ISOs? - that has different EFI code
than the systemd ISOs

if this is holding you back, note that you can use the openrc ISO to install a systemd system via command line

#8 - 2019-07-16 05:00 AM - Anonymous
OpenRC worked.

#9 - 2019-07-19 10:20 AM - bill-auger

- Category set to systemd

#10 - 2020-07-15 05:58 AM - bill-auger
- Parent task set to #2108
